Package bitel.billing.server.admin.bean

# Class ContractParameterPrefManager

java.lang.Object
bitel.billing.server.admin.bean.ContractParameterPrefManager

    @Deprecated
    public class ContractParameterPrefManager
    extends java.lang.Object

Deprecated.
Использовать `ContractParameterService` or `ContractParameterGroupAttrDao`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` | Deprecated.
  `protected DefaultServerSetup` | `setup` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractParameterPrefManager​(java.sql.Connection connection)` | Deprecated.
  `ContractParameterPrefManager​(java.sql.Connection connection, DefaultServerSetup setup)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteContractParameterPref​(int id)` | Deprecated. Удаляет настройки параметра договора (т.е. справочник "договоры-параметры").
  `ContractParameterPref` | `getContractParameterPref​(int id)` | Deprecated. Возвращает настройки параметра договора по его коду
  `java.util.List<ContractParameterPref>` | `getContractParameterPrefList​(int type)` | Deprecated. Возвращает список настроек параметров договоров определенного типа
  `java.util.List<ContractParameterPref>` | `getParameterList​(java.util.Set<java.lang.Integer> ids)` | Deprecated.
  `java.util.List<IdTitle>` | `getParamList​(int paramTypeId)` | Deprecated.
  `java.util.Map<java.lang.Integer,​java.util.List<IdTitle>>` | `getParamMapByType()` | Deprecated.
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getParamTypeMap()` | Deprecated. Возвращает Map(код, тип)
  `void` | `moveParam​(int id, int where)` | Deprecated. сдвиг параметра 1 - вниз, 2 - вверх
  `void` | `updateContractParameterPref​(ContractParameterPref pref)` | Deprecated. Обновляет настройки параметра договора

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected java.sql.Connection con
    Deprecated.

  - ### setup

    protected DefaultServerSetup setup
    Deprecated.

- ## Constructor Details

  - ### ContractParameterPrefManager

    public ContractParameterPrefManager​(java.sql.Connection connection)
    Deprecated.

  - ### ContractParameterPrefManager

    public ContractParameterPrefManager​(java.sql.Connection connection, DefaultServerSetup setup)
    Deprecated.

- ## Method Details

  - ### getContractParameterPref

    public ContractParameterPref getContractParameterPref​(int id)
    Deprecated.
    Возвращает настройки параметра договора по его коду
    Parameters:
      `id` - код параметра

  - ### getContractParameterPrefList

    public java.util.List<ContractParameterPref> getContractParameterPrefList​(int type)
    Deprecated.
    Возвращает список настроек параметров договоров определенного типа
    Parameters:
      `type` - тип параметров договоров
    Returns:

  - ### getParameterList

    public java.util.List<ContractParameterPref> getParameterList​(java.util.Set<java.lang.Integer> ids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParamList

    public java.util.List<IdTitle> getParamList​(int paramTypeId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractParameterPref

    public void updateContractParameterPref​(ContractParameterPref pref)
    Deprecated.
    Обновляет настройки параметра договора
    Parameters:
      `pref` - настройки параметра

  - ### deleteContractParameterPref

    public void deleteContractParameterPref​(int id) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаляет настройки параметра договора (т.е. справочник "договоры-параметры").
    Parameters:
      `id` - код параметра.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moveParam

    public void moveParam​(int id, int where) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    сдвиг параметра 1 - вниз, 2 - вверх
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParamMapByType

    public java.util.Map<java.lang.Integer,​java.util.List<IdTitle>> getParamMapByType() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParamTypeMap

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getParamTypeMap() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает Map(код, тип)
    Throws:
      `ru.bitel.bgbilling.common.BGException`